pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: PR/45110 CVS commit: pkgsrc/multimedia/mplayer-plugin

The following reply was made to PR pkg/45110; it has been noted by GNATS.

From: "OBATA Akio" <>
Subject: Re: PR/45110 CVS commit: pkgsrc/multimedia/mplayer-plugin
Date: Fri, 23 Dec 2011 12:13:39 +0900

 On Fri, 23 Dec 2011 04:45:02 +0900, John D. Baker 
<> wrote:
 >  Up to Firefox 7 (xulrunner 7.x), this built but was unrecognized by FF.
 >  With Firefox 8 (xulrunner 8.), it no-longer built.
 It is easy to be built with xulrunner>=8, but it break to build with 
 it is because NPAPI is changed, but NPAPI version macro is not bumped,
 so it is impossible to switch with its version.
 >  I'm now trying again.  I see that it has not only fetched firefox-3.6.24
 >  but is building xulrunner192 (v1.9.2.24).  I see multimedia/gnash had a
 >  similar problem and was switched to xulrunner192.
 > Given the above commit message, it appears this will coexist with the
 >  already-installed xulrunner (v8.x).  Correct?
 Yes, devel/xulrunner and devel/xulrunner192 is co-existable.
 xulrunner is just required to build, so pulgins itself should be usable with
 both www/firefox and www/firefox36.
 I decided to switch using xulrunner192, because I don't want to future 
 break API compatibility again, but it will be pulled up to stable branch for
 security reason,  and it break plugin packages again.
 OBATA Akio /

Home | Main Index | Thread Index | Old Index